# Generated from schild-0.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name schild

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Summary: Schild-API
License: MIT
URL: https://github.com/hmt/schild
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(minitest) >= 5
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-rg) >= 5
# BuildRequires: rubygem(minitest-rg) < 6
# BuildRequires: rubygem(mysql2) >= 0.4
# BuildRequires: rubygem(mysql2) < 1
# BuildRequires: rubygem(envyable) >= 1
# BuildRequires: rubygem(envyable) < 2
BuildArch: noarch

%description
schild bietet eine Ruby-Schnittstelle zu SchilD-NRW-Datenbanken.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/schild.gemspec
%{gem_instdir}/specs

%changelog
* Wed Sep 15 2021 mockbuilder - 0.8.1-1
- Initial package
